function [X] = DFT(k, N, K)

% Inputs:
% - k:     	Spectrum sample parameter;
% - N:   	Sample data length;
% - K:    	Transform length.
%
% Outputs:
% - X:      Normalized DFT of a sinusoïdal signal in a noiseless case.


%% PROCESSING
dw  = k * 2*pi / K;

if (dw == 0)
    
    X   =                     N                        ;
    
else
    
    X   = (1 - exp(-1j * dw * N)) / (1 - exp(-1j * dw));
    
end