function [dX] = dDFT(k, N, K)

% Inputs:
% - k:     	Spectrum sample parameter;
% - N:   	Sample data length;
% - K:    	Transform length.
%
% Outputs:
% - dX:     Derivative of the normalized DFT of a sinusoïdal signal in a noiseless case.


%% PROCESSING
dw = k * 2*pi / K;

if (dw == 0)
    
    dX  = -1j * N * (N - 1)/2                                                          ;
    
else
    
    dX  =  1j * N *                         exp(-1j * dw * N)  / (1 - exp(-1j * dw))   + ...
          -1j *     exp(1j * dw    ) * (1 - exp(-1j * dw * N)) / (1 - exp(-1j * dw))^2 ;
	
end