function [X] = wDFT(k, N, K, H)

% Inputs:
% - k:     	Spectrum sample parameter;
% - N:   	Sample data length;
% - K:    	Transform length;
% - H:      Coefficients of the apodization function.
%
% Outputs:
% - X:      Normalized DFT of a tappered sinusoïdal signal in a noiseless case.


%% PROCESSING
% Initialization
X = 0;

% Loop over window coefficients
for h = 0:length(H)-1
    
    X = X + H(1 + h)/2 * (DFT(k + h * K/N, N, K) + DFT(k - h * K/N, N, K));
    
end